petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscElementalInitializePackage

Initialize Elemental package

### Synopsis

    PetscErrorCode PetscElementalInitializePackage(void)

Collective on MPI_COMM_WORLD, not PETSC_COMM_WORLD

### Note

Can be called outside of PetscInitialize() and PetscFinalize(). If called outside of these functions, it is the user's responsability to make sure that PETSC_COMM_WORLD is either unset (default value is MPI_COMM_NULL), or that it is not MPI_UNEQUAL to MPI_COMM_WORLD. Users who do not have a custom PETSC_COMM_WORLD do not have to call this function.

### See Also

MATELEMENTAL, PetscElementalFinalizePackage()

### Level

developer

### Location

src/sys/objects/cxx/elemental.cxx

### Examples

src/sys/tutorials/ex4.c.html
src/sys/tutorials/ex4f.F.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages